### Method

# Json Parser load_from_data

#### Declaration [src]

    gboolean
    json_parser_load_from_data (
      JsonParser* parser,
      const gchar* data,
      gssize length,
      GError** error
    )

#### Description [src]

Loads a JSON stream from a buffer and parses it.

You can call this function multiple times with the same parser, but the contents of the parser will be destroyed each time.

#### Parameters

`data` | `const gchar*`
| The buffer to parse.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`length` | `gssize`
| The length of the buffer, or -1 if it is `NUL` terminated.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` if the buffer was succesfully parsed.